﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[STKHIR]') AND name = N'XSTKHIR1')
BEGIN 
PRINT 'Creating index XSTKHIR1 on table STKHIR'
CREATE UNIQUE NONCLUSTERED INDEX [XSTKHIR1] ON [dbo].[STKHIR] 
(
	[HIER] ASC,
	[SKUN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKHIR' AND COLUMN_NAME = 'IDEL' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKHIR_IDEL')
BEGIN 
    PRINT 'Creating default constraint DF_STKHIR_IDEL on table STKHIR' 
    ALTER TABLE [dbo].[STKHIR]
    ADD CONSTRAINT [DF_STKHIR_IDEL] DEFAULT ((0)) FOR [IDEL]
END 
GO

